# Basic config common to all functional tests
# Can be easily overridden in each test config
parameters:
    locale: en
    database_path: '%kernel.root_dir%/../../../build/test.db'

framework:
    secret:          secret
    translator:      ~
    default_locale:  '%locale%'
    test:            ~
    router:          { resource: '%kernel.root_dir%/config/routing_base.yml' }
    form:            true
    validation:      { enable_annotations: true }
    templating:      { engines: ['twig'] }
    profiler:
        collect: true
    session:
        storage_id: session.storage.mock_file

twig:
    strict_variables: '%kernel.debug%'

doctrine:
    dbal:
        driver: pdo_sqlite
        path:   '%database_path%'
    orm:
        auto_generate_proxy_classes: true
        auto_mapping: true
        mappings:
            # UnitTestEntities:
            #     mapping: true
            #     type: annotation
            #     dir: '%kernel.root_dir%/../AppTestBundle/Entity/UnitTests/'
            #     alias: 'UnitTests'
            #     prefix: 'AppTestBundle\Entity\UnitTests'
            #     is_bundle: false
            FunctionalTestEntities:
                mapping: true
                type: annotation
                dir: '%kernel.root_dir%/../AppTestBundle/Entity/FunctionalTests/'
                alias: 'FunctionalTests'
                prefix: 'AppTestBundle\Entity\FunctionalTests'
                is_bundle: false

security:
    firewalls:
        secured_area:
            http_basic: ~
            pattern:    ^/
            anonymous:  true
    providers:
        in_memory:
             memory: ~

services:
    logger:
        class: Psr\Log\NullLogger
